Bug 815935 - please make /etc/bip.conf non world readable
please make /etc/bip.conf non world readable
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: bip (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 16:36 EDT by Patrick C. F. Ernzer
Modified: 2012-06-01 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:15:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2012-04-24 16:36:08 EDT
Description of problem:
/etc/bip.conf is root.root 644 instead of root.bip 640

Version-Release number of selected component (if applicable):
bip-0.8.8-1.el6.x86_64

How reproducible:
did not try

Steps to Reproduce:
1. yum install bip
2. ls -l /etc/bip.conf
  
Actual results:
file owned by root.root and world readable (644)

Expected results:
-rw-r-----. 1 root bip 13052 Apr 24 23:17 /etc/bip.conf

Additional info:
bip.conf will contain
  on_connect_send = "PRIVMSG NickServ :IDENTIFY deadbeef";
when users configure nickserv authentication to be done via bip. This information should not be readily available to other users on the host.

chown & chmod on /etc/bip.conf and restarting bip worked just fine, as expected. My bip reconnected to all networks and I could reattach my client to bip. Do tell if you want me to test other behaviour before you commit this file ownership and permission change to to spec file.

# id bip
uid=497(bip) gid=495(bip) groups=495(bip)
Comment 1 Fedora Update System 2012-05-15 17:42:27 EDT
bip-0.8.8-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bip-0.8.8-3.el6
Comment 2 Fedora Update System 2012-05-15 17:55:50 EDT
bip-0.8.8-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bip-0.8.8-3.el5
Comment 3 Fedora Update System 2012-05-15 18:23:43 EDT
bip-0.8.8-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bip-0.8.8-6.fc17
Comment 4 Fedora Update System 2012-05-15 18:47:53 EDT
bip-0.8.8-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bip-0.8.8-4.fc16
Comment 5 Fedora Update System 2012-05-15 19:03:11 EDT
bip-0.8.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bip-0.8.8-4.fc15
Comment 6 Fedora Update System 2012-05-16 14:58:23 EDT
Package bip-0.8.8-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bip-0.8.8-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5893/bip-0.8.8-3.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-26 03:15:04 EDT
bip-0.8.8-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-30 20:53:30 EDT
bip-0.8.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-30 20:59:19 EDT
bip-0.8.8-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-06-01 22:36:07 EDT
bip-0.8.8-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-06-01 22:36:40 EDT
bip-0.8.8-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.